//
//  VoltageOutputController.h
//  VoltageOutput
//
//  Created by Phidgets on 2015-07-23.
//  Copyright (c) 2015 Phidgets. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <Phidget22/phidget22.h>
#import "PhidgetInfoBox.h"

@interface VoltageOutputController : NSObject <NSWindowDelegate>
{
    IBOutlet NSWindow *mainWindow;
    PhidgetVoltageOutputHandle ch;
    //PhidgetInfoBox View
    IBOutlet PhidgetInfoBox *phidgetInfoBoxView;
    IBOutlet NSBox *phidgetInfoBox;
    //Output
    IBOutlet NSBox *outputBox;
    IBOutlet NSSlider *voltageOutputSlider;
    IBOutlet NSTextField *voltageOutputText;
    IBOutlet NSTextField *voltageOutputMinLabel;
    IBOutlet NSTextField *voltageOutputMaxLabel;
    //Settings
    IBOutlet NSBox *outputModeBox;
    IBOutlet NSBox *outputEnableBox;
    IBOutlet NSButton *voltageModeButton;
    IBOutlet NSButton *enableButton;
    //Errors
    IBOutlet NSPanel *errorEventLogWindow;
    IBOutlet NSTextView *errorEventLog;
    IBOutlet NSTextField *errorEventLogCounter;
}

@end
